OpenPose 1.0.0rc2 OpenPose: A Real-Time Multi-Person Key-Point Detection And Multi-Threading C++ Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | List of all members
op::PoseExtractor Class Reference

`#include <poseExtractor.hpp>`

## Public Member Functions
| PoseExtractor (const std::shared_ptr< PoseExtractorNet > &poseExtractorNet, const std::shared_ptr< KeepTopNPeople > &keepTopNPeople=nullptr, const std::shared_ptr< PersonIdExtractor > &personIdExtractor=nullptr, const std::shared_ptr< std::vector< std::shared_ptr< PersonTracker >>> &personTracker={}, const int numberPeopleMax=-1, const int tracking=-1)
virtual | ~PoseExtractor ()
void | initializationOnThread ()
void | forwardPass (const std::vector< Array< float >> &inputNetData, const Point< int > &inputDataSize, const std::vector< double > &scaleRatios, const long long frameId=-1ll)
Array< float > | getHeatMapsCopy () const
std::vector< std::vector < std::array< float, 3 > > > | getCandidatesCopy () const
Array< float > | getPoseKeypoints () const
Array< float > | getPoseScores () const
float | getScaleNetToOutput () const
void | keepTopPeople (Array< float > &poseKeypoints, const Array< float > &poseScores) const
Array< long long > | extractIds (const Array< float > &poseKeypoints, const cv::Mat &cvMatInput, const unsigned long long imageIndex=0ull)
Array< long long > | extractIdsLockThread (const Array< float > &poseKeypoints, const cv::Mat &cvMatInput, const unsigned long long imageIndex, const long long frameId)
void | track (Array< float > &poseKeypoints, Array< long long > &poseIds, const cv::Mat &cvMatInput, const unsigned long long imageViewIndex=0ull)
void | trackLockThread (Array< float > &poseKeypoints, Array< long long > &poseIds, const cv::Mat &cvMatInput, const unsigned long long imageViewIndex, const long long frameId)

## Constructor & Destructor Documentation

op::PoseExtractor::PoseExtractor | ( | const std::shared_ptr< PoseExtractorNet > & | poseExtractorNet,
|  | const std::shared_ptr< KeepTopNPeople > & | keepTopNPeople = `nullptr`,
|  | const std::shared_ptr< PersonIdExtractor > & | personIdExtractor = `nullptr`,
|  | const std::shared_ptr< std::vector< std::shared_ptr< PersonTracker >>> & | personTracker = `{}`,
|  | const int | numberPeopleMax = `-1`,
|  | const int | tracking = `-1`
| ) |  |

virtual op::PoseExtractor::~PoseExtractor | ( |  | ) |
| virtual

## Member Function Documentation

Array<long long> op::PoseExtractor::extractIds | ( | const Array< float > & | poseKeypoints,
|  | const cv::Mat & | cvMatInput,
|  | const unsigned long long | imageIndex = `0ull`
| ) |  |

Array<long long> op::PoseExtractor::extractIdsLockThread | ( | const Array< float > & | poseKeypoints,
|  | const cv::Mat & | cvMatInput,
|  | const unsigned long long | imageIndex,
|  | const long long | frameId
| ) |  |

void op::PoseExtractor::forwardPass | ( | const std::vector< Array< float >> & | inputNetData,
|  | const Point< int > & | inputDataSize,
|  | const std::vector< double > & | scaleRatios,
|  | const long long | frameId = `-1ll`
| ) |  |

std::vector<std::vector<std::array<float, 3> > > op::PoseExtractor::getCandidatesCopy | ( |  | ) | const

Array<float> op::PoseExtractor::getHeatMapsCopy | ( |  | ) | const

Array<float> op::PoseExtractor::getPoseKeypoints | ( |  | ) | const

Array<float> op::PoseExtractor::getPoseScores | ( |  | ) | const

float op::PoseExtractor::getScaleNetToOutput | ( |  | ) | const

void op::PoseExtractor::initializationOnThread | ( |  | ) |

void op::PoseExtractor::keepTopPeople | ( | Array< float > & | poseKeypoints,
|  | const Array< float > & | poseScores
| ) |  | const

void op::PoseExtractor::track | ( | Array< float > & | poseKeypoints,
|  | Array< long long > & | poseIds,
|  | const cv::Mat & | cvMatInput,
|  | const unsigned long long | imageViewIndex = `0ull`
| ) |  |

void op::PoseExtractor::trackLockThread | ( | Array< float > & | poseKeypoints,
|  | Array< long long > & | poseIds,
|  | const cv::Mat & | cvMatInput,
|  | const unsigned long long | imageViewIndex,
|  | const long long | frameId
| ) |  |

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/pose/poseExtractor.hpp